### Method

# Aravis Buffer get_image_region

since: 0.4.0

#### Declaration [src]

    void
    arv_buffer_get_image_region (
      ArvBuffer* buffer,
      gint* x,
      gint* y,
      gint* width,
      gint* height
    )

#### Description [src]

Gets the image region.

This function must only be called if buffer payload is either `ARV_BUFFER_PAYLOAD_TYPE_IMAGE`, `ARV_BUFFER_PAYLOAD_TYPE_EXTENDED_CHUNK_DATA` or `ARV_BUFFER_PAYLOAD_TYPE_MULTIPART`.

Available since: 0.4.0

#### Parameters

`x`

  Type: `gint*`

  Image x offset placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.

`y`

  Type: `gint*`

  Image y offset placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.

`width`

  Type: `gint*`

  Image width placholder.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gint*`

  Image height placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.